export function toDegrees(angle, unit) {
  const multiplier = {
    rad: 180 / Math.PI,
    grad: 0.9,
    turn: 360
  };
  return angle * (multiplier[unit.toLowerCase()] ?? 1);
}
export function normalizeAngle(degrees) {
  return (degrees % 360 + 360) % 360;
}
export default function angle(str) {
  const num = parseFloat(str);
  const unit = str.match(/deg|rad|grad|turn/i)?.[0] ?? 'deg';
  return normalizeAngle(toDegrees(num, unit));
}