import _extends from "@babel/runtime/helpers/esm/extends";
import colorString from '../color/colorString';
import hsl from '../color/hsl';

const saturation = (baseColor, key) => {
  if (typeof key !== 'number') return baseColor;
  const base = hsl(baseColor);
  const targetS = Math.min(Math.max(key, 0), 100);
  return colorString(_extends({}, base, {
    s: targetS
  }));
};

export default saturation;